package com.example.client;

public class RelaxData {  
    private static RelaxData _instance;
    
    private RelaxData (){}
    
    public static synchronized RelaxData getInstance() {  
        if (_instance == null) {  
            _instance = new RelaxData();  
        }  
        return _instance;  
    }  

    // ÐÄÂÊ
    private int _xv;
    public synchronized int getXV() {
        return _xv;
    }
    
    public synchronized void setXV(int value) {
        _xv = value;
    }
    
    // SDNN
    private int _sdnn;
    public synchronized int getSDNN() {
        return _sdnn;
    }
    
    public synchronized void setSDNN(int value) {
        _sdnn = value;
    }
    
    // HRV
    private int _hrv;
    public synchronized int getHRV() {
        return _hrv;
    }
    
    public synchronized void setHRV(int value) {
        _hrv = value;
    }
    
    // PNN50
    private int _pnn50;
    public synchronized int getPNN50() {
        return _pnn50;
    }
    
    public synchronized void setPNN50(int value) {
        _pnn50 = value;
    }
    
    // QZ
    private int _qz;
    public synchronized int getQZ() {
        return _qz;
    }
    
    public synchronized void setQZ(int value) {
        _qz = value;
    }
   
    // PD
    private int _pd;
    public synchronized int getPD() {
        return _pd;
    }
    
    public synchronized void setPD(int value) {
        _pd = value;
    }
    
    // VLF
    private String _vlf = "0.00";
    public synchronized String getVLF() {
        return _vlf;
    }
    
    public synchronized void setVLF(String value) {
        _vlf = value;
    }

    // LF
    private String _lf = "0.00";
    public synchronized String getLF() {
        return _lf;
    }
    
    public synchronized void setLF(String value) {
        _lf = value;
    }
    
    // HF
    private String _hf = "0.00";
    public synchronized String getHF() {
        return _hf;
    }
    
    public synchronized void setHF(String value) {
        _hf = value;
    }
}  
